<!-- Based on compositing/squashing/invalidations-with-large-negative-margin.html -->
<!DOCTYPE html>
<div style="height:200px;width:600px;overflow:scroll">
  <div style="position:relative">
    <div style="height:400px;margin-bottom:-400px;position:relative">
      <div id="chip" style="width:50px;height:50px;position:absolute;background:lightblue;margin:0"></div>
    </div>
  </div>
</div>

<script src="resources/paint-invalidation-test.js"></script>
<script>
// Test that moving a Layer that is squashed relative to its squashing container repaints correctly.
// In particular, the repaint rect needs to be recorded in the correct position relative to the squashing GraphicsLayer.
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV id='chip'",
];
function paintInvalidationTest()
{
    document.getElementById('chip').style.left = "400px";
}

runPaintInvalidationTest();
</script>
